-- ip_arria10_e1sg_ram_crwk_crw.vhd

-- Generated using ACDS version 17.0.1 293

library IEEE;
library ram_2port_170;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity ip_arria10_e1sg_ram_crwk_crw is
	port (
		data_a    : in  std_logic_vector(31 downto 0) := (others => '0'); --  ram_input.datain_a
		data_b    : in  std_logic_vector(7 downto 0)  := (others => '0'); --           .datain_b
		address_a : in  std_logic_vector(7 downto 0)  := (others => '0'); --           .address_a
		address_b : in  std_logic_vector(9 downto 0)  := (others => '0'); --           .address_b
		wren_a    : in  std_logic                     := '0';             --           .wren_a
		wren_b    : in  std_logic                     := '0';             --           .wren_b
		clock_a   : in  std_logic                     := '0';             --           .clock_a
		clock_b   : in  std_logic                     := '0';             --           .clock_b
		rden_a    : in  std_logic                     := '0';             --           .rden_a
		rden_b    : in  std_logic                     := '0';             --           .rden_b
		q_a       : out std_logic_vector(31 downto 0);                    -- ram_output.dataout_a
		q_b       : out std_logic_vector(7 downto 0)                      --           .dataout_b
	);
end entity ip_arria10_e1sg_ram_crwk_crw;

architecture rtl of ip_arria10_e1sg_ram_crwk_crw is
	component ip_arria10_e1sg_ram_crwk_crw_ram_2port_170_qaianri_cmp is
		port (
			data_a    : in  std_logic_vector(31 downto 0) := (others => 'X'); -- datain_a
			data_b    : in  std_logic_vector(7 downto 0)  := (others => 'X'); -- datain_b
			address_a : in  std_logic_vector(7 downto 0)  := (others => 'X'); -- address_a
			address_b : in  std_logic_vector(9 downto 0)  := (others => 'X'); -- address_b
			wren_a    : in  std_logic                     := 'X';             -- wren_a
			wren_b    : in  std_logic                     := 'X';             -- wren_b
			clock_a   : in  std_logic                     := 'X';             -- clock_a
			clock_b   : in  std_logic                     := 'X';             -- clock_b
			rden_a    : in  std_logic                     := 'X';             -- rden_a
			rden_b    : in  std_logic                     := 'X';             -- rden_b
			q_a       : out std_logic_vector(31 downto 0);                    -- dataout_a
			q_b       : out std_logic_vector(7 downto 0)                      -- dataout_b
		);
	end component ip_arria10_e1sg_ram_crwk_crw_ram_2port_170_qaianri_cmp;

	for ip_arria10_ram_crwk_crw : ip_arria10_e1sg_ram_crwk_crw_ram_2port_170_qaianri_cmp
		use entity ram_2port_170.ip_arria10_e1sg_ram_crwk_crw_ram_2port_170_qaianri;
begin

	ip_arria10_ram_crwk_crw : component ip_arria10_e1sg_ram_crwk_crw_ram_2port_170_qaianri_cmp
		port map (
			data_a    => data_a,    --  ram_input.datain_a
			data_b    => data_b,    --           .datain_b
			address_a => address_a, --           .address_a
			address_b => address_b, --           .address_b
			wren_a    => wren_a,    --           .wren_a
			wren_b    => wren_b,    --           .wren_b
			clock_a   => clock_a,   --           .clock_a
			clock_b   => clock_b,   --           .clock_b
			rden_a    => rden_a,    --           .rden_a
			rden_b    => rden_b,    --           .rden_b
			q_a       => q_a,       -- ram_output.dataout_a
			q_b       => q_b        --           .dataout_b
		);

end architecture rtl; -- of ip_arria10_e1sg_ram_crwk_crw
