-- ip_arria10_e2sg_ram_crw_crw.vhd

-- Generated using ACDS version 19.4 64

library IEEE;
library ram_2port_2000;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity ip_arria10_e2sg_ram_crw_crw is
	port (
		data_a    : in  std_logic_vector(7 downto 0) := (others => '0'); --    data_a.datain_a
		q_a       : out std_logic_vector(7 downto 0);                    --       q_a.dataout_a
		data_b    : in  std_logic_vector(7 downto 0) := (others => '0'); --    data_b.datain_b
		q_b       : out std_logic_vector(7 downto 0);                    --       q_b.dataout_b
		address_a : in  std_logic_vector(4 downto 0) := (others => '0'); -- address_a.address_a
		address_b : in  std_logic_vector(4 downto 0) := (others => '0'); -- address_b.address_b
		wren_a    : in  std_logic                    := '0';             --    wren_a.wren_a
		wren_b    : in  std_logic                    := '0';             --    wren_b.wren_b
		clock_a   : in  std_logic                    := '0';             --   clock_a.clk
		clock_b   : in  std_logic                    := '0'              --   clock_b.clk
	);
end entity ip_arria10_e2sg_ram_crw_crw;

architecture rtl of ip_arria10_e2sg_ram_crw_crw is
	component ip_arria10_e2sg_ram_crw_crw_ram_2port_2000_zxnv4ey_cmp is
		port (
			data_a    : in  std_logic_vector(7 downto 0) := (others => 'X'); -- datain_a
			q_a       : out std_logic_vector(7 downto 0);                    -- dataout_a
			data_b    : in  std_logic_vector(7 downto 0) := (others => 'X'); -- datain_b
			q_b       : out std_logic_vector(7 downto 0);                    -- dataout_b
			address_a : in  std_logic_vector(4 downto 0) := (others => 'X'); -- address_a
			address_b : in  std_logic_vector(4 downto 0) := (others => 'X'); -- address_b
			wren_a    : in  std_logic                    := 'X';             -- wren_a
			wren_b    : in  std_logic                    := 'X';             -- wren_b
			clock_a   : in  std_logic                    := 'X';             -- clk
			clock_b   : in  std_logic                    := 'X'              -- clk
		);
	end component ip_arria10_e2sg_ram_crw_crw_ram_2port_2000_zxnv4ey_cmp;

	for ram_2port_0 : ip_arria10_e2sg_ram_crw_crw_ram_2port_2000_zxnv4ey_cmp
		use entity ram_2port_2000.ip_arria10_e2sg_ram_crw_crw_ram_2port_2000_zxnv4ey;
begin

	ram_2port_0 : component ip_arria10_e2sg_ram_crw_crw_ram_2port_2000_zxnv4ey_cmp
		port map (
			data_a    => data_a,    --    data_a.datain_a
			q_a       => q_a,       --       q_a.dataout_a
			data_b    => data_b,    --    data_b.datain_b
			q_b       => q_b,       --       q_b.dataout_b
			address_a => address_a, -- address_a.address_a
			address_b => address_b, -- address_b.address_b
			wren_a    => wren_a,    --    wren_a.wren_a
			wren_b    => wren_b,    --    wren_b.wren_b
			clock_a   => clock_a,   --   clock_a.clk
			clock_b   => clock_b    --   clock_b.clk
		);

end architecture rtl; -- of ip_arria10_e2sg_ram_crw_crw
