-- ip_arria10_e1sg_ddr4_8g_2400.vhd

-- Generated using ACDS version 18.0 219

library IEEE;
library altera_emif_180;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity ip_arria10_e1sg_ddr4_8g_2400 is
	port (
		amm_ready_0         : out   std_logic;                                         --     ctrl_amm_avalon_slave_0.waitrequest_n
		amm_read_0          : in    std_logic                      := '0';             --                            .read
		amm_write_0         : in    std_logic                      := '0';             --                            .write
		amm_address_0       : in    std_logic_vector(26 downto 0)  := (others => '0'); --                            .address
		amm_readdata_0      : out   std_logic_vector(575 downto 0);                    --                            .readdata
		amm_writedata_0     : in    std_logic_vector(575 downto 0) := (others => '0'); --                            .writedata
		amm_burstcount_0    : in    std_logic_vector(6 downto 0)   := (others => '0'); --                            .burstcount
		amm_byteenable_0    : in    std_logic_vector(71 downto 0)  := (others => '0'); --                            .byteenable
		amm_readdatavalid_0 : out   std_logic;                                         --                            .readdatavalid
		emif_usr_clk        : out   std_logic;                                         --   emif_usr_clk_clock_source.clk
		emif_usr_reset_n    : out   std_logic;                                         -- emif_usr_reset_reset_source.reset_n
		global_reset_n      : in    std_logic                      := '0';             --     global_reset_reset_sink.reset_n
		mem_ck              : out   std_logic_vector(1 downto 0);                      --             mem_conduit_end.mem_ck
		mem_ck_n            : out   std_logic_vector(1 downto 0);                      --                            .mem_ck_n
		mem_a               : out   std_logic_vector(16 downto 0);                     --                            .mem_a
		mem_act_n           : out   std_logic_vector(0 downto 0);                      --                            .mem_act_n
		mem_ba              : out   std_logic_vector(1 downto 0);                      --                            .mem_ba
		mem_bg              : out   std_logic_vector(1 downto 0);                      --                            .mem_bg
		mem_cke             : out   std_logic_vector(1 downto 0);                      --                            .mem_cke
		mem_cs_n            : out   std_logic_vector(1 downto 0);                      --                            .mem_cs_n
		mem_odt             : out   std_logic_vector(1 downto 0);                      --                            .mem_odt
		mem_reset_n         : out   std_logic_vector(0 downto 0);                      --                            .mem_reset_n
		mem_par             : out   std_logic_vector(0 downto 0);                      --                            .mem_par
		mem_alert_n         : in    std_logic_vector(0 downto 0)   := (others => '0'); --                            .mem_alert_n
		mem_dqs             : inout std_logic_vector(8 downto 0)   := (others => '0'); --                            .mem_dqs
		mem_dqs_n           : inout std_logic_vector(8 downto 0)   := (others => '0'); --                            .mem_dqs_n
		mem_dq              : inout std_logic_vector(71 downto 0)  := (others => '0'); --                            .mem_dq
		mem_dbi_n           : inout std_logic_vector(8 downto 0)   := (others => '0'); --                            .mem_dbi_n
		oct_rzqin           : in    std_logic                      := '0';             --             oct_conduit_end.oct_rzqin
		pll_ref_clk         : in    std_logic                      := '0';             --      pll_ref_clk_clock_sink.clk
		local_cal_success   : out   std_logic;                                         --          status_conduit_end.local_cal_success
		local_cal_fail      : out   std_logic                                          --                            .local_cal_fail
	);
end entity ip_arria10_e1sg_ddr4_8g_2400;

architecture rtl of ip_arria10_e1sg_ddr4_8g_2400 is
	component ip_arria10_e1sg_ddr4_8g_2400_altera_emif_180_nz3mdxa_cmp is
		port (
			amm_ready_0         : out   std_logic;                                         -- waitrequest_n
			amm_read_0          : in    std_logic                      := 'X';             -- read
			amm_write_0         : in    std_logic                      := 'X';             -- write
			amm_address_0       : in    std_logic_vector(26 downto 0)  := (others => 'X'); -- address
			amm_readdata_0      : out   std_logic_vector(575 downto 0);                    -- readdata
			amm_writedata_0     : in    std_logic_vector(575 downto 0) := (others => 'X'); -- writedata
			amm_burstcount_0    : in    std_logic_vector(6 downto 0)   := (others => 'X'); -- burstcount
			amm_byteenable_0    : in    std_logic_vector(71 downto 0)  := (others => 'X'); -- byteenable
			amm_readdatavalid_0 : out   std_logic;                                         -- readdatavalid
			emif_usr_clk        : out   std_logic;                                         -- clk
			emif_usr_reset_n    : out   std_logic;                                         -- reset_n
			global_reset_n      : in    std_logic                      := 'X';             -- reset_n
			mem_ck              : out   std_logic_vector(1 downto 0);                      -- mem_ck
			mem_ck_n            : out   std_logic_vector(1 downto 0);                      -- mem_ck_n
			mem_a               : out   std_logic_vector(16 downto 0);                     -- mem_a
			mem_act_n           : out   std_logic_vector(0 downto 0);                      -- mem_act_n
			mem_ba              : out   std_logic_vector(1 downto 0);                      -- mem_ba
			mem_bg              : out   std_logic_vector(1 downto 0);                      -- mem_bg
			mem_cke             : out   std_logic_vector(1 downto 0);                      -- mem_cke
			mem_cs_n            : out   std_logic_vector(1 downto 0);                      -- mem_cs_n
			mem_odt             : out   std_logic_vector(1 downto 0);                      -- mem_odt
			mem_reset_n         : out   std_logic_vector(0 downto 0);                      -- mem_reset_n
			mem_par             : out   std_logic_vector(0 downto 0);                      -- mem_par
			mem_alert_n         : in    std_logic_vector(0 downto 0)   := (others => 'X'); -- mem_alert_n
			mem_dqs             : inout std_logic_vector(8 downto 0)   := (others => 'X'); -- mem_dqs
			mem_dqs_n           : inout std_logic_vector(8 downto 0)   := (others => 'X'); -- mem_dqs_n
			mem_dq              : inout std_logic_vector(71 downto 0)  := (others => 'X'); -- mem_dq
			mem_dbi_n           : inout std_logic_vector(8 downto 0)   := (others => 'X'); -- mem_dbi_n
			oct_rzqin           : in    std_logic                      := 'X';             -- oct_rzqin
			pll_ref_clk         : in    std_logic                      := 'X';             -- clk
			local_cal_success   : out   std_logic;                                         -- local_cal_success
			local_cal_fail      : out   std_logic                                          -- local_cal_fail
		);
	end component ip_arria10_e1sg_ddr4_8g_2400_altera_emif_180_nz3mdxa_cmp;

	for ddr4_inst : ip_arria10_e1sg_ddr4_8g_2400_altera_emif_180_nz3mdxa_cmp
		use entity altera_emif_180.ip_arria10_e1sg_ddr4_8g_2400_altera_emif_180_nz3mdxa;
begin

	ddr4_inst : component ip_arria10_e1sg_ddr4_8g_2400_altera_emif_180_nz3mdxa_cmp
		port map (
			amm_ready_0         => amm_ready_0,         --     ctrl_amm_avalon_slave_0.waitrequest_n
			amm_read_0          => amm_read_0,          --                            .read
			amm_write_0         => amm_write_0,         --                            .write
			amm_address_0       => amm_address_0,       --                            .address
			amm_readdata_0      => amm_readdata_0,      --                            .readdata
			amm_writedata_0     => amm_writedata_0,     --                            .writedata
			amm_burstcount_0    => amm_burstcount_0,    --                            .burstcount
			amm_byteenable_0    => amm_byteenable_0,    --                            .byteenable
			amm_readdatavalid_0 => amm_readdatavalid_0, --                            .readdatavalid
			emif_usr_clk        => emif_usr_clk,        --   emif_usr_clk_clock_source.clk
			emif_usr_reset_n    => emif_usr_reset_n,    -- emif_usr_reset_reset_source.reset_n
			global_reset_n      => global_reset_n,      --     global_reset_reset_sink.reset_n
			mem_ck              => mem_ck,              --             mem_conduit_end.mem_ck
			mem_ck_n            => mem_ck_n,            --                            .mem_ck_n
			mem_a               => mem_a,               --                            .mem_a
			mem_act_n           => mem_act_n,           --                            .mem_act_n
			mem_ba              => mem_ba,              --                            .mem_ba
			mem_bg              => mem_bg,              --                            .mem_bg
			mem_cke             => mem_cke,             --                            .mem_cke
			mem_cs_n            => mem_cs_n,            --                            .mem_cs_n
			mem_odt             => mem_odt,             --                            .mem_odt
			mem_reset_n         => mem_reset_n,         --                            .mem_reset_n
			mem_par             => mem_par,             --                            .mem_par
			mem_alert_n         => mem_alert_n,         --                            .mem_alert_n
			mem_dqs             => mem_dqs,             --                            .mem_dqs
			mem_dqs_n           => mem_dqs_n,           --                            .mem_dqs_n
			mem_dq              => mem_dq,              --                            .mem_dq
			mem_dbi_n           => mem_dbi_n,           --                            .mem_dbi_n
			oct_rzqin           => oct_rzqin,           --             oct_conduit_end.oct_rzqin
			pll_ref_clk         => pll_ref_clk,         --      pll_ref_clk_clock_sink.clk
			local_cal_success   => local_cal_success,   --          status_conduit_end.local_cal_success
			local_cal_fail      => local_cal_fail       --                            .local_cal_fail
		);

end architecture rtl; -- of ip_arria10_e1sg_ddr4_8g_2400
